VectorLinux
December 26, 2014, 06:35:33 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: cant find google earth in Gslapt?  (Read 1291 times)
Dark Rider
Member
*
Posts: 65


« on: June 22, 2012, 03:04:21 am »

Why cant I find google earth?
Logged
Daniel
Packager
Vectorian
****
Posts: 704


WWW
« Reply #1 on: June 22, 2012, 03:40:13 am »

It's not freely-distributable open-source software. You'll have to get it from here: http://www.google.com/earth/index.html
Logged

The following sentence is true. The previous sentence is false.

VL 6.0 SOHO KDE-Classic on 2.3 Ghz Dual-core AMD with 3 Gigs of RAM
Dark Rider
Member
*
Posts: 65


« Reply #2 on: June 22, 2012, 03:50:51 am »

I could have sworn i downloaded it through repos in other linux distros.. perhaps I've gone mad. Thanks.
Logged
M0E-lnx
Administrator
Vectorian
*****
Posts: 3197



« Reply #3 on: June 22, 2012, 04:32:27 am »

And that's completely possible.  Each distro has different policies regarding the distribution of software packages.
Logged

Dark Rider
Member
*
Posts: 65


« Reply #4 on: June 22, 2012, 04:43:24 am »

o.k... I downloaded it from the GE website. I tried both .deb and .rpm versions and cant get them to install. I am using the instructions for installing anything in Vector Linux found here: http://www.opensourcebistro.com/Tutorial/VL60/Install_apps/page

On right clicking the deb file and choosing convert to tgz, nothing happens. In the terminal when I use rpm2tgz (filename)  I get an error that says too many parameters.

I'd have tried the .bin file opton like in one of the opensourcebistro screencasts but I cant find where to download a version in .bin format.
« Last Edit: June 22, 2012, 04:54:32 am by Dark Rider » Logged
uelsk8s
Administrator
Vectorian
*****
Posts: 2504



« Reply #5 on: June 22, 2012, 09:03:54 am »

google earth bin is here: http://dl.google.com/earth/client/current/GoogleEarthLinux.bin
Logged
hata_ph
Packager
Vectorian
****
Posts: 3261


-- Just being myself --


« Reply #6 on: June 22, 2012, 09:29:47 am »

I have build google-earth-6.2.2.6613 on VL7. Once it hit the testing repo I will let you all know Smiley
Logged
ronnyquest
Member
*
Posts: 90



WWW
« Reply #7 on: July 25, 2012, 04:31:15 pm »

How are we doing on getting this in the repositories?  The 64-bit would be nice.  The .bin at the URL above appears to not like 64-bit.  Getting the following error when executing the .bin file:

root:# ./GoogleEarthLinux.bin
Verifying archive integrity... All good.
Uncompressing Google Earth for GNU/Linux 6.0.3.2197.............................................................................................
This version of Google Earth requires LSB 4.0 support which you
do not seem to have.
./setup.sh: line 285: [: missing `]'
Unknown id: yum install redhat-lsb
setup.data/bin/Linux/amd64/setup.gtk2: error while loading shared libraries: libSM.so.6: wrong ELF class: ELFCLASS64
setup.data/bin/Linux/amd64/setup.gtk: error while loading shared libraries: libSM.so.6: wrong ELF class: ELFCLASS64
The setup program seems to have failed on amd64

Fatal error, installer failed to run at all!

Please forgive me if this is caused by my own ignorance.
« Last Edit: July 25, 2012, 04:50:30 pm by ronnyquest » Logged

Compaq Presario 900Z (AMD Athlon MP, 1.5 GHz, 2 GB RAM, 30 GB HDD) - VL 6.0 Standard
Gateway Laptop (Celeron M 1.60 GHz, 1 GB RAM, 80 GB HDD) - VL 6.0
2 x Homebrew PCs (AMD Phenom II X4 965, 4096MB RAM, 500 GB SATA HDD, ATI Radeon HD 5700, ASUS M4A79XTD EVO) - VL 7.0-64
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!